Name:           irstlm
Version:        5.80.03
Release:        2%{?dist}
Summary:        Statistical language model tool

License:        LGPLv2+
URL:            http://hlt.fbk.eu/en/irstlm
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
# Fix an array overflow caused by an off-by-one maximum array size.
# https://sourceforge.net/tracker/?func=detail&aid=3608173&group_id=183064&atid=903742
Patch0:         %{name}-array-bounds.patch
# Fix a case of violating the ANSI strict aliasing rules.
# https://sourceforge.net/tracker/?func=detail&aid=3608176&group_id=183064&atid=903742
Patch1:         %{name}-alias.patch
# Replace calls to system() with system calls.
# https://sourceforge.net/tracker/?func=detail&aid=3608179&group_id=183064&atid=903742
Patch2:         %{name}-system.patch
# Fix a broken boolean initializer.
# https://sourceforge.net/tracker/?func=detail&aid=3608174&group_id=183064&atid=903742
Patch3:         %{name}-bool.patch
# Update configure.in.  Sent upstream 24 Oct 2013.
Patch4:         %{name}-configure.patch

BuildRequires:  boost-devel
BuildRequires:  libtool
BuildRequires:  tex(latex)
BuildRequires:  xmlrpc-c-devel
BuildRequires:  zlib-devel

%description
Irstlm is a tool for the estimation, representation, and computation of
statistical language models.

%package devel
Summary:        Headers and libraries for building with %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The headers and libraries needed to build applications that use %{name}.

%package tools
Summary:        Programs and scripts that use the %{name} library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description tools
Programs and scripts that use the %{name} library.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4

# Use our compilation flags
sed -i "s/-g -O2/$RPM_OPT_FLAGS/" configure.in

# Fix executable bits
find src -type f -perm /0111 | xargs chmod a-x
chmod a+x scripts/rm-start-end.sh

# Upstream doesn't ship the actual configure script
mv configure.in configure.ac
autoreconf -i

%build
%configure --enable-shared --disable-static --enable-debugging \
  --enable-caching --enable-interpsearch
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}

# Move the header files into their own directory to avoid name clashes
mkdir -p %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}

# We don't want libtool archives
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc Copyright README
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so

%files tools
%{_bindir}/*

%changelog
* Wed Oct 23 2013 Jerry James <loganjerry@gmail.com> - 5.80.03-2
- Add -configure patch to update autotools input

* Wed Jul 17 2013 Jerry James <loganjerry@gmail.com> - 5.80.03-1
- Initial RPM
